﻿
namespace Network.PacketHandling.Packets {
    public class SyncPkt : Serializable {

        public int LastReliableIDReceived = -1;

        public int AmountOfPackets = 0;

        public override void WriteContents(PacketBuffer packetBuffer) {
            packetBuffer.Write(LastReliableIDReceived);

            packetBuffer.Write(AmountOfPackets);
        }

        public override void ReadContents(PacketBuffer packetBuffer) {
            LastReliableIDReceived = packetBuffer.ReadInt();

            AmountOfPackets = packetBuffer.ReadInt();
        }
    }
}
